Bug 248557 - rtcheck package uses /sbin/rtcheck instead of /usr/bin/rtcheck
rtcheck package uses /sbin/rtcheck instead of /usr/bin/rtcheck
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
All Linux
low Severity urgent
: ---
: ---
Assigned To: Luis Claudio R. Goncalves
Depends On:
  Show dependency treegraph
Reported: 2007-07-17 10:06 EDT by IBM Bug Proxy
Modified: 2008-02-27 14:57 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.6.4-2.el5rt
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-07-26 10:25:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 36464 None None None Never

  None (edit)
Description IBM Bug Proxy 2007-07-17 10:06:50 EDT
LTC Owner is: nivedita@us.ibm.com
LTC Originator is: jstultz@us.ibm.com

The rtcheck-0.6.4-1.el5rt package puts the rtcheck binary in /sbin/ rather then

This is problematic as rtcheck needs to be in the standard user path, as regular
users will invoke it when running the JVM.

The rtcheck binary just needs to be moved to /usr/bin/ or some other location in
the standard user path.
Comment 1 Tim Chavez 2007-07-23 16:40:06 EDT
Where as I agree it should probably move into a standard user path, I believe
the JVM calls it explicitly from /usr/local/bin right?  I'm not 100% this is
true.  Something worth asking John Kacur.
Comment 2 IBM Bug Proxy 2007-07-30 17:10:35 EDT

           What    |Removed                     |Added
             Status|OPEN                        |ASSIGNED

------- Additional Comments From jstultz@us.ibm.com (prefers email at johnstul@us.ibm.com)  2007-07-30 17:08 EDT -------
Package has updated w/ /usr/bin/rtcheck. 

Tested JVM run to verify it works and it appears to work fine. Marking fixed and
Comment 3 IBM Bug Proxy 2007-11-28 13:50:34 EST
------- Comment From nivedita@us.ibm.com 2007-11-28 13:46 EDT-------
Upping severity to match priority set by development team.
Comment 4 Luis Claudio R. Goncalves 2007-11-28 14:17:00 EST
Hi, I understood that the fix had been already tested and approved in
comment#2... anyway, this has been fixed some time ago:

[lclaudio@lab linux-2.6.21.x86_64]$ rpm -q rtcheck
[lclaudio@lab linux-2.6.21.x86_64]$ rpm -qi rtcheck | grep "Build Date"
Release     : 2.el5rt                       Build Date: Tue 24 Jul 2007 04:17:31

[lclaudio@lab linux-2.6.21.x86_64]$ rpm -ql rtcheck
[lclaudio@lab linux-2.6.21.x86_64]$ 
Comment 5 IBM Bug Proxy 2007-11-28 14:25:34 EST
------- Comment From nivedita@us.ibm.com 2007-11-28 14:23 EDT-------
Er, yes, I should have marked that internal only. I was just closing up
and cleaning loose ends. We keep the bugs open in this project until
the release actually goes out :). It was in TESTED/ACCEPTED state. No
new info here, just a correction on what the severity should have been.

Note You need to log in before you can comment on or make changes to this bug.